#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel leds(50, 2, NEO_GRB + NEO_KHZ800);

void setup() {
  leds.begin(); 
  leds.setBrightness(250);
  leds.show(); 
}

void loop() {
  couleurs(10);             
}

void couleurs(int temps) { 
  
  for(long PremiereLedCouleur = 0; PremiereLedCouleur < 65536; PremiereLedCouleur += 256) {
    for(int i=0; i<leds.numPixels(); i++) { 
      
      int ledTeinte = PremiereLedCouleur + (i * 65536 / leds.numPixels());
      
      leds.setPixelColor(i, leds.gamma32(leds.ColorHSV(ledTeinte)));
    }
    leds.show(); 
    delay(temps);  
  }
}

